summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-util/debug/ChangeLog8
-rw-r--r--dev-util/debug/Manifest16
-rw-r--r--dev-util/debug/debug-0.0.21.ebuild44
-rw-r--r--dev-util/debug/files/digest-debug-0.0.213
-rw-r--r--dev-util/debug/metadata.xml5
5 files changed, 76 insertions, 0 deletions
diff --git a/dev-util/debug/ChangeLog b/dev-util/debug/ChangeLog
new file mode 100644
index 000000000..f8f9d170d
--- /dev/null
+++ b/dev-util/debug/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for dev-util/debug
+# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 23 Sep 2006; Tiziano Müller <gentoo@dev-zero.ch> +debug-0.0.21.ebuild,
+ +metadata.xml:
+ New ebuild for bug 148868
+
diff --git a/dev-util/debug/Manifest b/dev-util/debug/Manifest
new file mode 100644
index 000000000..50be113fe
--- /dev/null
+++ b/dev-util/debug/Manifest
@@ -0,0 +1,16 @@
+DIST debug-0.0.21.tgz 357330 RMD160 a9a3240b0683ae0cc9827a38917b2ec8791cb598 SHA1 37f5cefd415346e13b4a5484bd47ecf676d5c2e7 SHA256 f879a851fc844bc46f664edfb888b705eceb4c940c6d139ebc0b39549fdf724d
+EBUILD debug-0.0.21.ebuild 1109 RMD160 daaef8f813db2566f36f74f3cf797d700cdc34fc SHA1 a16b9c124e50ee43c172b9fe809fc9961ff762dc SHA256 e9a5f0c6c1f4386815559f62bc8c018ed400b5f48a89293890cb3f66c9411254
+MD5 43cfda4e9a1e74384cdb59b32e876f35 debug-0.0.21.ebuild 1109
+RMD160 daaef8f813db2566f36f74f3cf797d700cdc34fc debug-0.0.21.ebuild 1109
+SHA256 e9a5f0c6c1f4386815559f62bc8c018ed400b5f48a89293890cb3f66c9411254 debug-0.0.21.ebuild 1109
+MISC ChangeLog 235 RMD160 50fcaa0bd22b4b29838376192e0be0f8e4df4cb6 SHA1 4045861b34043760485bdde5c21544765bc4ce81 SHA256 07571c1af23a184cd72b66735ca226bd5bf34a9ecb7228d2af4c2e98e64e0949
+MD5 19a50a01fef0bcdc76ccdda733ee60f0 ChangeLog 235
+RMD160 50fcaa0bd22b4b29838376192e0be0f8e4df4cb6 ChangeLog 235
+SHA256 07571c1af23a184cd72b66735ca226bd5bf34a9ecb7228d2af4c2e98e64e0949 ChangeLog 235
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
+MD5 1e678929a9fec6632e227bdf2262e9a1 metadata.xml 170
+RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 metadata.xml 170
+SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42 metadata.xml 170
+MD5 b86702e91d5723f94a18866a7f61e775 files/digest-debug-0.0.21 229
+RMD160 051e074a0af324e6257163c511245d231a46a872 files/digest-debug-0.0.21 229
+SHA256 863853d0f4e0826887bf762e256f81da4be8d7bac4a55b497fbb40ade09deb06 files/digest-debug-0.0.21 229
diff --git a/dev-util/debug/debug-0.0.21.ebuild b/dev-util/debug/debug-0.0.21.ebuild
new file mode 100644
index 000000000..0fa2dda9f
--- /dev/null
+++ b/dev-util/debug/debug-0.0.21.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit toolchain-funcs
+
+KEYWORDS="~x86"
+
+DESCRIPTION="A debugger that disassembles executables, has breakpoints, steps into and trace over, including a builtin single line assembler."
+HOMEPAGE="http://www.modest-proposals.com/Furball.htm"
+SRC_URI="http://www.modest-proposals.com/binary/${P}.tgz"
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="ncurses readline"
+
+DEPEND="ncurses? ( sys-libs/ncurses )
+ readline? ( sys-libs/readline )"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ sed -i \
+ -e 's/ald/debug/g' \
+ -e 's#$(BINDIR)#$(DESTDIR)/$(BINDIR)#' \
+ -e 's#$(MANDIR)#$(DESTDIR)/$(MANDIR)#' \
+ -e 's/\($(INSTALL_BIN)\)/\1 -D /' \
+ -e 's/\($(INSTALL_DATA)\)/\1 -D /' \
+ -e 's/-s//' \
+ Makefile.in || die "sed failed"
+}
+
+src_compile() {
+ CC=$(tc-getCC) econf \
+ $(use_enable ncurses curses) \
+ $(use_enable readline) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc ChangeLog README
+}
diff --git a/dev-util/debug/files/digest-debug-0.0.21 b/dev-util/debug/files/digest-debug-0.0.21
new file mode 100644
index 000000000..f3fb84a6d
--- /dev/null
+++ b/dev-util/debug/files/digest-debug-0.0.21
@@ -0,0 +1,3 @@
+MD5 57f8deedefb5728fcfc7e49a3686eefc debug-0.0.21.tgz 357330
+RMD160 a9a3240b0683ae0cc9827a38917b2ec8791cb598 debug-0.0.21.tgz 357330
+SHA256 f879a851fc844bc46f664edfb888b705eceb4c940c6d139ebc0b39549fdf724d debug-0.0.21.tgz 357330
diff --git a/dev-util/debug/metadata.xml b/dev-util/debug/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/dev-util/debug/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>